# MobileEventLog  - How to Use
This demonstrates how to use the mobile event log.    

## Prerequisites (Sensor Device and Contact)
A device which is part of the collection "PERMAFROST LTO" 
![Sensor Account](01_Sensor_Device.JPG)

Editor rights for the device. Only editors are allowed to post actions / events. 
![Editor rights](02_Sensor_Device_Contact.JPG)



## Initial Configuration
Apps Overview page. Add Event is the page to create new events and store them locally. View & Sync shows the locally created events and offers the functionality to sync these events to sensor.awi.de. 
 <br />
![App Overview](03_MEL_Overview.JPG)
<br />
Click configuration to open the configurations view. Enter your sensor account details and chose the collection with your devices. NOTE: You need to have editor rights for the devices where you want to be able to upload events to. 
<br />
![Configuration 1](04_Configuration_01.JPG)
<br />
Click on Set. The shown confirmation message indicates that the setup succeeded. An error is shown if you are offline or if your login credentials are incorrect.
<br />
![Configuration 2](04_Configuration_02.JPG)
<br />
You can now add events offline locally. The dump event functionality creates a local json file database dump.
This functionality is intended to create event data backups during prolonged field operations without internet access. It is recommended to check and transfer the created json file e.g. via a USB cable to a second device e.g. a laptop. 
<br />
![Configuration 2](04_Configuration_03.JPG)
<br />


## Adding Events
Open the Add Event Page. Enter a label, select the event type, select the used device from the dropdown menu. Optionally a description can be added. 
<br /> 
![Add a new Event](05_AddEvent_01.JPG)
<br />
Syncing the time and GNSS data can be disabled by clicking the switch on the bottom of the page. The location data can be modified manually if GNSS is disabled. Click on the add symbol to create the event. It is intended that this page remembers the last added event details for a smooth usability when adding multiple events. 


## View & Sync Events 
Open the View & Sync Page. It is recommeded to sync created events to sensor.awi.de on a regular basis. By default only "pending" and not yet exported events are shown here. It is possible to show all events including the already exported once by switching the button on the top app bar.
Scroll the table to view all event details. Editing the events here is currently not implemented.
<br /> 
![View & Sync 1](06_ViewSync1.JPG)
<br />
Click on 'Sync'. All pending events are beeing uploaded. Success is indicated once all events are uploaded to sensor.awi.de.
<br /> 
![View & Sync 2](06_ViewSync2.JPG)
<br />
Show all locally created events
<br />
![View & Sync 2](06_ViewSync3.JPG)
<br />
The following error is shown if you don't have editor rights for a certain sensor. In this case go back to sensor and ask the owner of the device (urn) to grant you editor rights.
<br />
![View & Sync 2](06_ViewSync4.JPG)
<br />



 
